Bug 1657942 - Update system purpose Candlepin API usage
Summary: Update system purpose Candlepin API usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Jonathon Turel
QA Contact: Lai
URL:
Whiteboard:
: 1657943 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 19:17 UTC by Jonathon Turel
Modified: 2019-10-07 17:20 UTC (History)
1 user (show)

Fixed In Version: tfm-rubygem-katello-3.10.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:39 UTC
Foreman Issue Tracker 25638 None None None 2018-12-10 19:17:18 UTC

Description Jonathon Turel 2018-12-10 19:17:17 UTC
The 'role' key has been renamed to 'roles' to be more accurate

Comment 1 Jonathon Turel 2018-12-10 19:17:19 UTC
Created from redmine issue http://projects.theforeman.org/issues/25638

Comment 3 Jonathon Turel 2018-12-10 19:26:42 UTC
Testing steps are available in the PR which introduced the change: https://github.com/Katello/katello/pull/7873

Comment 4 pm-sat@redhat.com 2018-12-10 21:03:11 UTC
Upstream bug assigned to jturel@redhat.com

Comment 5 pm-sat@redhat.com 2018-12-10 21:03:11 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25638 has been resolved.

Comment 6 Jonathon Turel 2019-01-15 17:01:15 UTC
*** Bug 1657943 has been marked as a duplicate of this bug. ***

Comment 7 Lai 2019-01-16 19:03:49 UTC
Step to test:

1. rpm -qa | grep candlepin to ensure candlepin-2.5.8 or higher
2. create custom product or use existing one
3. Connect to candlepin postgres db
4. Find uuid for product created in step 2:
   select uuid from cp2_products where name = 'my product';
5. Add multiple roles to product:
   insert into cp2_product_attributes(name, value, product_uuid) values ('roles', 'Role1, Role2, Role3', '$UUID_FROM_EARLIER');
6. Validate the API by checking the 'system_purposes' key in the response of /organizations/:id
7. Validate the UI by going to a content host in the same Org and see that your role(s) are present in the dropdown for System Purpose.

Actual Result:
"subnets": [],
    "system_purposes": {
        "addons": [],
        "roles": [
            "Role3",
            "Role2",
            "Role1"
        ],
        "support_level": [
            "Premium",
            "Self-Support"
        ],
        "usage": []
    },
    "title": "Default Organization",
    "updated_at": "2019-01-15 14:40:47 UTC",
    "users": []
}

Was able to see on the UI as well.

Tested on 6.5.0 snap 11.

Marking bz as verified.

Comment 9 errata-xmlrpc 2019-05-14 12:39:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.